List ChatKit threads
GET
/chatkit/threadsList ChatKit threads with optional pagination and user filters.
List ChatKit threads
curl "https://api.tpg-oai.studydeckedu.com/v1/chatkit/threads?limit=2&order=desc" \
-H "OpenAI-Beta: chatkit_beta=v1" \
-H "Authorization: Bearer $OPENAI_API_KEY"
{
"data": [
{
"id": "cthr_abc123",
"object": "chatkit.thread",
"title": "Customer escalation",
"created_at": 1712345600,
"status": {
"type": "active"
},
"user": "user_123"
},
{
"id": "cthr_def456",
"object": "chatkit.thread",
"title": "Demo feedback",
"created_at": 1712345600,
"status": {
"type": "active"
},
"user": "user_456"
}
],
"has_more": false,
"object": "list",
"first_id": "cthr_abc123",
"last_id": "cthr_def456"
}
Returns Examples
{
"data": [
{
"id": "cthr_abc123",
"object": "chatkit.thread",
"title": "Customer escalation",
"created_at": 1712345600,
"status": {
"type": "active"
},
"user": "user_123"
},
{
"id": "cthr_def456",
"object": "chatkit.thread",
"title": "Demo feedback",
"created_at": 1712345600,
"status": {
"type": "active"
},
"user": "user_456"
}
],
"has_more": false,
"object": "list",
"first_id": "cthr_abc123",
"last_id": "cthr_def456"
}